Skip to main content
PUT
/
v1
/
transactions
/
{transaction}
Update a transaction
curl --request PUT \
  --url https://api.givebutter.com/v1/transactions/{transaction} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "transaction_id": "<string>",
  "internal_note": "<string>",
  "check_number": "<string>",
  "check_deposited_at": "2023-11-07T05:31:56Z",
  "custom_fields": [
    "<string>"
  ],
  "team_id": "<string>",
  "campaign_member_id": "<string>",
  "fund_id": "<string>",
  "campaign_id": "<string>",
  "method": "<string>",
  "transacted_at": "<string>",
  "appeal_id": "<string>",
  "offline_payment_received": "<string>"
}
'
import requests

url = "https://api.givebutter.com/v1/transactions/{transaction}"

payload = {
"transaction_id": "<string>",
"internal_note": "<string>",
"check_number": "<string>",
"check_deposited_at": "2023-11-07T05:31:56Z",
"custom_fields": ["<string>"],
"team_id": "<string>",
"campaign_member_id": "<string>",
"fund_id": "<string>",
"campaign_id": "<string>",
"method": "<string>",
"transacted_at": "<string>",
"appeal_id": "<string>",
"offline_payment_received": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction_id: '<string>',
internal_note: '<string>',
check_number: '<string>',
check_deposited_at: '2023-11-07T05:31:56Z',
custom_fields: ['<string>'],
team_id: '<string>',
campaign_member_id: '<string>',
fund_id: '<string>',
campaign_id: '<string>',
method: '<string>',
transacted_at: '<string>',
appeal_id: '<string>',
offline_payment_received: '<string>'
})
};

fetch('https://api.givebutter.com/v1/transactions/{transaction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "plan_id": "<string>",
  "pledge_id": "<string>",
  "amount": 123,
  "fee": 123,
  "fee_covered": 123,
  "donated": 123,
  "payout": 123,
  "captured": "<string>",
  "captured_at": "<string>",
  "timezone": "<string>",
  "refunded": "<string>",
  "refunded_at": "<string>",
  "line_items": [
    {
      "type": "<string>",
      "subtype": "<string>",
      "description": "<string>",
      "quantity": 123,
      "price": 123,
      "discount": 123,
      "total": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "fair_market_value_amount": "<string>",
  "tax_deductible_amount": "<string>",
  "is_recurring": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transaction
string | null
required

The transaction tid

Body

application/json
transaction_id
string
internal_note
string | null
Maximum string length: 255
check_number
string | null
Maximum string length: 255
check_deposited_at
string<date-time> | null
custom_fields
string[]
team_id
string
campaign_member_id
string
fund_id
string
campaign_id
string
method
string
transacted_at
string
appeal_id
string
offline_payment_received
string
dedication
object

Response

TransactionResource

id
string
required
plan_id
string
required
pledge_id
string
required
amount
number
required
fee
number
required
fee_covered
number
required
donated
number
required
payout
number
required
captured
string
required
captured_at
string
required
timezone
string
required
refunded
string
required
refunded_at
string
required
line_items
TransactionLineItemResource · object[]
required
fair_market_value_amount
string | null
required
tax_deductible_amount
string | null
required
is_recurring
string
required